Exiv2: Exiv2::IptcDataSets Class Reference

# Exiv2::IptcDataSets Class Reference

Container for IPTC dataset information. Implemented as a static class. More...

`#include <datasets.hpp>`

Collaboration diagram for Exiv2::IptcDataSets:
[legend]

List of all members.

## Static Public Member Functions
static std::string | dataSetName (uint16_t number, uint16_t recordId)
| Return the name of the dataset.
static const char * | dataSetTitle (uint16_t number, uint16_t recordId)
| Return the title (label) of the dataset.
static const char * | dataSetDesc (uint16_t number, uint16_t recordId)
| Return the description of the dataset.
static const char * | dataSetPsName (uint16_t number, uint16_t recordId)
| Return the photohsop name of a given dataset.
static bool | dataSetRepeatable (uint16_t number, uint16_t recordId)
| Check if a given dataset is repeatable.
static uint16_t | dataSet (const std::string &dataSetName, uint16_t recordId)
| Return the dataSet number for dataset name and record id.
static TypeId | dataSetType (uint16_t number, uint16_t recordId)
| Return the type for dataSet number and Record id.
static std::string | recordName (uint16_t recordId)
| Return the name of the Record.
static const char * | recordDesc (uint16_t recordId)
| Return the description of a record.
static uint16_t | recordId (const std::string &recordName)
| Return the Id number of a record.
static const DataSet * | envelopeRecordList ()
| Return read-only list of built-in Envelope Record datasets.
static const DataSet * | application2RecordList ()
| Return read-only list of built-in Application2 Record datasets.
static void | dataSetList (std::ostream &os)
| Print a list of all dataSets to output stream.
## Static Public Attributes
Record identifiers
Record identifiers to logically group dataSets. There are other possible record types, but they are not standardized by the IPTC IIM4 standard (and not commonly used in images).
static const uint16_t | invalidRecord = 0
static const uint16_t | envelope = 1
static const uint16_t | application2 = 2
Dataset identifiers
static const uint16_t | ModelVersion = 0
static const uint16_t | Destination = 5
static const uint16_t | FileFormat = 20
static const uint16_t | FileVersion = 22
static const uint16_t | ServiceId = 30
static const uint16_t | EnvelopeNumber = 40
static const uint16_t | ProductId = 50
static const uint16_t | EnvelopePriority = 60
static const uint16_t | DateSent = 70
static const uint16_t | TimeSent = 80
static const uint16_t | CharacterSet = 90
static const uint16_t | UNO = 100
static const uint16_t | ARMId = 120
static const uint16_t | ARMVersion = 122
static const uint16_t | RecordVersion = 0
static const uint16_t | ObjectType = 3
static const uint16_t | ObjectAttribute = 4
static const uint16_t | ObjectName = 5
static const uint16_t | EditStatus = 7
static const uint16_t | EditorialUpdate = 8
static const uint16_t | Urgency = 10
static const uint16_t | Subject = 12
static const uint16_t | Category = 15
static const uint16_t | SuppCategory = 20
static const uint16_t | FixtureId = 22
static const uint16_t | Keywords = 25
static const uint16_t | LocationCode = 26
static const uint16_t | LocationName = 27
static const uint16_t | ReleaseDate = 30
static const uint16_t | ReleaseTime = 35
static const uint16_t | ExpirationDate = 37
static const uint16_t | ExpirationTime = 38
static const uint16_t | SpecialInstructions = 40
static const uint16_t | ActionAdvised = 42
static const uint16_t | ReferenceService = 45
static const uint16_t | ReferenceDate = 47
static const uint16_t | ReferenceNumber = 50
static const uint16_t | DateCreated = 55
static const uint16_t | TimeCreated = 60
static const uint16_t | DigitizationDate = 62
static const uint16_t | DigitizationTime = 63
static const uint16_t | Program = 65
static const uint16_t | ProgramVersion = 70
static const uint16_t | ObjectCycle = 75
static const uint16_t | Byline = 80
static const uint16_t | BylineTitle = 85
static const uint16_t | City = 90
static const uint16_t | SubLocation = 92
static const uint16_t | ProvinceState = 95
static const uint16_t | CountryCode = 100
static const uint16_t | CountryName = 101
static const uint16_t | TransmissionReference = 103
static const uint16_t | Headline = 105
static const uint16_t | Credit = 110
static const uint16_t | Source = 115
static const uint16_t | Copyright = 116
static const uint16_t | Contact = 118
static const uint16_t | Caption = 120
static const uint16_t | Writer = 122
static const uint16_t | RasterizedCaption = 125
static const uint16_t | ImageType = 130
static const uint16_t | ImageOrientation = 131
static const uint16_t | Language = 135
static const uint16_t | AudioType = 150
static const uint16_t | AudioRate = 151
static const uint16_t | AudioResolution = 152
static const uint16_t | AudioDuration = 153
static const uint16_t | AudioOutcue = 154
static const uint16_t | PreviewFormat = 200
static const uint16_t | PreviewVersion = 201
static const uint16_t | Preview = 202

## Detailed Description

Container for IPTC dataset information. Implemented as a static class.

## Member Function Documentation

static std::string Exiv2::IptcDataSets::dataSetName | ( | uint16_t | number,
|  | uint16_t | recordId |
| ) |  |  | `[static]`

Return the name of the dataset.

Parameters:

  | number | The dataset number
  | recordId | The IPTC record Id

Returns:
  The name of the dataset or a string containing the hexadecimal value of the dataset in the form "0x01ff", if this is an unknown dataset.

Referenced by Exiv2::IptcKey::tagName().

static const char* Exiv2::IptcDataSets::dataSetTitle | ( | uint16_t | number,
|  | uint16_t | recordId |
| ) |  |  | `[static]`

Return the title (label) of the dataset.

Parameters:

  | number | The dataset number
  | recordId | The IPTC record Id

Returns:
  The title (label) of the dataset

Referenced by Exiv2::IptcKey::tagLabel().

static const char* Exiv2::IptcDataSets::dataSetDesc | ( | uint16_t | number,
|  | uint16_t | recordId |
| ) |  |  | `[static]`

Return the description of the dataset.

Parameters:

  | number | The dataset number
  | recordId | The IPTC record Id

Returns:
  The description of the dataset

static const char* Exiv2::IptcDataSets::dataSetPsName | ( | uint16_t | number,
|  | uint16_t | recordId |
| ) |  |  | `[static]`

Return the photohsop name of a given dataset.

Parameters:

  | number | The dataset number
  | recordId | The IPTC record Id

Returns:
  The name used by photoshop for a dataset or an empty string if photoshop does not use the dataset.

static bool Exiv2::IptcDataSets::dataSetRepeatable | ( | uint16_t | number,
|  | uint16_t | recordId |
| ) |  |  | `[static]`

Check if a given dataset is repeatable.

Parameters:

  | number | The dataset number
  | recordId | The IPTC record Id

Returns:
  true if the given dataset is repeatable otherwise false

static uint16_t Exiv2::IptcDataSets::dataSet | ( | const std::string & | dataSetName,
|  | uint16_t | recordId |
| ) |  |  | `[static]`

Return the dataSet number for dataset name and record id.

Parameters:

  | dataSetName | dataSet name
  | recordId | recordId

Returns:
  dataSet number

Exceptions:

  | Error | if the dataSetName or recordId are invalid

static std::string Exiv2::IptcDataSets::recordName | ( | uint16_t | recordId | ) | `[static]`

Return the name of the Record.

Parameters:

  | recordId | The record id

Returns:
  The name of the record or a string containing the hexadecimal value of the record in the form "0x01ff", if this is an unknown record.

Referenced by Exiv2::IptcKey::recordName().

static const char* Exiv2::IptcDataSets::recordDesc | ( | uint16_t | recordId | ) | `[static]`

Return the description of a record.

Parameters:

  | recordId | Record Id number

Returns:
  the description of the Record

static uint16_t Exiv2::IptcDataSets::recordId | ( | const std::string & | recordName | ) | `[static]`

Return the Id number of a record.

Parameters:

  | recordName | Name of a record type

Returns:
  the Id number of a Record

Exceptions:

  | Error | if the record is not known;

The documentation for this class was generated from the following file:

- datasets.hpp